## dbus-java 2.8

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # Program parameters
 CPFLAG?=-classpath
-JCFLAGS?=-Xlint:all -O -g:none
+JCFLAGS?=-Xlint:all -O
 JFLAGS+=-Djava.library.path=$(JAVAUNIXLIBDIR)
 
 # Source/Class locations
@@ -189,6 +189,17 @@
 	  $(MAKE) DBUS_JAVA_FLOATS=true low-level-run ;\
 	  kill $$(cat pid))
 
+checktcp: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
+	( PASS=false; \
+	  testbin/DBusDaemon --tcp --addressfile address --pidfile pid 2> server.log&\
+	  sleep 1; \
+	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
+	  dbus-monitor >> monitor.log &\
+	  if $(MAKE) DBUS_JAVA_FLOATS=true DEBUG=$(DEBUG) testrun 2>&1 | tee client.log; then export PASS=true; fi  ; \
+	  kill $$(cat pid) ; \
+	  if [ "$$PASS" = "true" ]; then exit 0; else exit 1; fi )
+
+
 check: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
 	( PASS=false; \
 	  testbin/DBusDaemon --addressfile address --pidfile pid 2> server.log&\
@@ -203,13 +214,3 @@
 
 internal-cross-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
 	( testbin/DBusDaemon --addressfile address --pidfile pid &\
-	  sleep 1; \
-	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
-	  $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s cross-test-server | tee server.log &\
-	  sleep 1;\
-	  $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s cross-test-client | tee client.log ;\
-	  kill $$(cat pid) ; )
-
-peer-to-peer-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
-	( $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s peer-server 2>&1 | tee server.log &\
-	  sleep 1;\
