=== debian/control ===
Source: dbus-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthew Johnson <mjj29@debian.org>
Build-Depends: default-jdk,
               debhelper (>= 9~),
               docbook-to-man,
               tex4ht,
               libmatthew-debug-java,
               libunixsocket-java (>= 0.6),
               texlive-latex-base,
               texlive-base-bin,
               texlive-latex-extra,
               texlive-latex-recommended,
               default-jdk-doc,
               gettext,
               javahelper (>= 0.42)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/dbus-java.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/dbus-java.git
Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings

Package: libdbus-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Suggests: libdbus-java-doc
Recommends: dbus-java-bin
Description: simple interprocess messaging system (Java implementation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides an implementation of D-Bus in Java (Library).
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-java-bin
Architecture: all
Section: utils
Depends: ${misc:Depends}, default-jre-headless (>= 2:1.6) | java6-runtime-headless, libdbus-java (=${binary:Version})
Conflicts: libdbus-java (<< 2.0)
Replaces: libdbus-java (<< 2.0)
Description: simple interprocess messaging system (Java Binaries)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides several programs using the Java implementation
 of D-Bus. This includes a simple D-Bus daemon for use in session busses,
 A tool for generating Java stubs from D-Bus introspection data and
 a graphical browser for D-Bus connections.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-java-doc
Recommends: libdbus-java
Depends: default-jdk-doc, ${misc:Depends}
Architecture: all
Section: doc
Description: simple interprocess messaging system (Java interface documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides the documentation for the Java implementation of D-Bus.
 .
 See the dbus description for more information about D-Bus in general.
