=== debian/rules ===
#!/usr/bin/make -f

# Rules file to build dbus-java packages by Matthew Johnson
#

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version/s/Version: \(.*\)-[^-]*$$/\1/p')

override_dh_auto_build:
	# Add here commands to compile the package.
	$(MAKE) DEBUG=disable \
			  JCFLAGS="-source 1.6 -target 1.6 -O -encoding UTF-8" \
			  PREFIX=/usr \
			  JAVA_HOME=${JAVA_HOME}/bin/ \
			  JAVAC=${JAVA_HOME}/bin/javac \
			  JAVA=${JAVA_HOME}/bin/java \
			  JAR=${JAVA_HOME}/bin/jar \
			  JAVADOC="${JAVA_HOME}/bin/javadoc -link /usr/share/doc/default-jdk-doc/api" \
			  all doc check 
	touch $@

override_dh_auto_clean:
	# Add here commands to clean up after the build process.
	$(MAKE) clean
	rm -f override_dh_auto_build

override_dh_auto_install:
	$(MAKE) DEBUG=disable \
			  DESTDIR=$(CURDIR)/debian/tmp \
			  PREFIX=/usr \
			  install install-man install-doc

override_dh_install:
	dh_install -i --sourcedir=debian/tmp
override_jh_manifest:
	jh_manifest -plibdbus-java -c"unix.jar hexdump.jar"
	jh_manifest -pdbus-java-bin -c"dbus-$(VERSION).jar"
override_jh_depends:
	jh_depends -pdbus-java-bin -jopen
	jh_depends -plibdbus-java 
override_dh_builddeb:
	dh_builddeb -i
