=== debian/watch ===
version=3
http://dbus.freedesktop.org/releases/dbus-java/ (?:.*/)?dbus-java-?_?([\d+\.]+|\d+)\.tar.* debian uupdate
